<?php

declare(strict_types=1);

/**
 * @file
 * Theme settings form for FlexiStyle theme.
 */

use Drupal\Core\Form\FormState;

/**
 * Implements hook_form_system_theme_settings_alter().
 */
function flexi_style_form_system_theme_settings_alter(array &$form, FormState $form_state): void {

  $form['flexi_style'] = [
    '#type' => 'details',
    '#title' => t('FlexiStyle'),
    '#open' => TRUE,
  ];

  $form['flexi_style']['global_style'] = [
    '#type' => 'textarea',
    '#title' => t('Global CSS'),
    '#default_value' => theme_get_setting('Global CSS'),
  ];
  $form['flexi_style']['header_position'] = [
    '#type' => 'select',
    '#title' => t('Header Position'),
    '#default_value' => theme_get_setting('header_position'),
    '#options' => [
      'normal' => t('Normal'),
      'fixed' => t('Fixed'),
      'sticky' => t('Sticky'),
    ],
  ];

}
